## kf5-kdepim-apps-libs 16.04.2

=== CMakeLists.txt ===
project(kdepim-apps-lib)
cmake_minimum_required(VERSION 2.8.12)

find_package(ECM 5.19.0 CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
set(LIBRARY_NAMELINK)
include(GenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMGeneratePriFile)
include(ECMPackageConfigHelpers)
include(ECMSetupVersion)
include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(ECMQtDeclareLoggingCategory)
include(ECMAddTests)


set(KF5_VERSION "5.19.0")
set(KDEPIM_APPS_LIB_VERSION "5.2.2")
set(KDEPIMLIBS_LIB_VERSION "5.2.0")
set(QT_REQUIRED_VERSION "5.4.0")
set(KMIME_LIB_VERSION "5.2.0")
set(KPIMTEXTEDIT_LIB_VERSION "5.2.0")
set(KCONTACTS_LIB_VERSION "5.2.0")
set(PIMCOMMON_LIB_VERSION "5.2.0")
set(LIBKLEO_LIB_VERSION "5.2.0")
set(GRANTLEETHEME_LIB_VERSION "5.2.0")
set(AKONADI_VERSION "5.2.0")

find_package(KF5Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets Test UiTools WebKitWidgets DBus Gui)
find_package(KF5I18n ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5IconThemes ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Config ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Service ${KF5_VERSION} CONFIG REQUIRED)
find_package(Grantlee5 "5.0" CONFIG REQUIRED)
find_package(KF5Libkleo ${LIBKLEO_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5GrantleeTheme ${GRANTLEETHEME_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5AkonadiContact ${KDEPIMLIBS_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Contacts ${KCONTACTS_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5XmlGui ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Completion ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Sonnet ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5Mime ${KMIME_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5AkonadiMime ${KDEPIMLIBS_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5WebKit ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5PimTextEdit ${KPIMTEXTEDIT_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5PimCommon ${PIMCOMMON_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5CoreAddons ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5DBusAddons ${KF5_VERSION} CONFIG REQUIRED)
find_package(KF5WidgetsAddons ${KF5_VERSION} CONFIG REQUIRED)

option(QTWEBENGINE_EXPERIMENTAL_OPTION "Enable support for qtwebengine. False by default." FALSE)

if (QTWEBENGINE_EXPERIMENTAL_OPTION)
    set(QT_REQUIRED_MINIMUM_WEBENGINE_VERSION "5.6")
    find_package(Qt5 ${QT_REQUIRED_MINIMUM_WEBENGINE_VERSION} CONFIG REQUIRED WebEngine WebEngineWidgets)
endif()

add_subdirectory(composereditor-ng)
if (QTWEBENGINE_EXPERIMENTAL_OPTION)
    add_subdirectory(composereditorwebengine)
endif()
add_subdirectory(libfollowupreminder)
add_subdirectory(libkdepimdbusinterfaces)
add_subdirectory(libsendlater)
add_subdirectory(kaddressbookgrantlee)
feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

install( FILES kdepim-apps-lib.categories DESTINATION ${KDE_INSTALL_CONFDIR} )

=== composereditor-ng/src/CMakeLists.txt ===

add_definitions( -DQT_NO_CAST_FROM_ASCII )
add_definitions( -DQT_NO_CAST_TO_ASCII )


# Laurent install it if you want to debug it
#add_subdirectory(tests)

add_definitions(-DTRANSLATION_DOMAIN=\"libcomposereditorng\")

set(libcomposereditor_ng_SRCS
    composereditor.cpp
    composerview.cpp
    link/composerlinkdialog.cpp
    link/composeranchordialog.cpp
    private/composerview_p.cpp
    pagecolor/pagecolorbackgrounddialog.cpp
    pagecolor/pagecolorbackgroundwidget.cpp
    extendattributes/extendattributesdialog.cpp
    extendattributes/extendattributesbutton.cpp
    extendattributes/extendattributeswidget.cpp
    extendattributes/extendattributesutils.cpp
    utils/composereditorutils.cpp
    image/composerimagedialog.cpp
    image/composerimageresizewidget.cpp
    table/composertabledialog.cpp
    table/composertableresizewidget.cpp
    table/composertableformatdialog.cpp
    table/composertablecellformatdialog.cpp
    table/composertableactionmenu.cpp
    table/composercellsizewidget.cpp
    image/composerimageresizetooltip.cpp
    list/composerlistdialog.cpp
    helper/tablehelper.cpp
    helper/listhelper.cpp
    widgets/domtreewidget.cpp 
    widgets/findreplacebar.cpp
)

kconfig_add_kcfg_files(libcomposereditor_ng_SRCS
   globalsetting_composereditorng.kcfgc 
)


ki18n_wrap_ui(libcomposereditor_ng_SRCS ui/pagecolorbackgroundwidget.ui )
ecm_qt_declare_logging_category(libcomposereditor_ng_SRCS HEADER composereditorng_debug.h IDENTIFIER COMPOSEREDITORNG_LOG CATEGORY_NAME log_composereditorng)


add_library(KF5ComposerEditorNG ${libcomposereditor_ng_SRCS})
generate_export_header(KF5ComposerEditorNG BASE_NAME composereditorng)
add_library(KF5::ComposerEditorNG ALIAS KF5ComposerEditorNG)

target_link_libraries(KF5ComposerEditorNG
 PRIVATE
   KF5::WebKit Qt5::WebKitWidgets KF5::PimTextEdit KF5::SonnetCore KF5::PimCommon KF5::KIOWidgets KF5::XmlGui KF5::Completion Qt5::PrintSupport
)

target_include_directories(KF5ComposerEditorNG INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/ComposerEditorNG/;${KDE_INSTALL_INCLUDEDIR_KF5}/composereditorng>")
target_include_directories(KF5ComposerEditorNG PUBLIC "$<BUILD_INTERFACE:${composereditorng_SOURCE_DIR}/src;${composereditorng_BINARY_DIR}/src>")


set_target_properties(KF5ComposerEditorNG PROPERTIES
    VERSION ${COMPOSEREDITORNG_VERSION_STRING}
    SOVERSION ${COMPOSEREDITORNG_SOVERSION}
    EXPORT_NAME ComposerEditorNG
)

install(TARGETS
    KF5ComposerEditorNG
    EXPORT KF5ComposerEditorNGTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS} ${LIBRARY_NAMELINK}
)

ecm_generate_headers(composereditorng_CamelCase_HEADERS
  HEADER_NAMES
  ComposerEditor
  ComposerView
  REQUIRED_HEADERS composereditorng_HEADERS
  PREFIX ComposerEditorNG
)


ecm_generate_pri_file(BASE_NAME ComposerEditorNG
    LIB_NAME KF5ComposerEditorNG
    DEPS "" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF5}/ComposerEditorNG
)


install(FILES
    ${composereditorng_CamelCase_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/ComposerEditorNG
    COMPONENT Devel
)

install(FILES
    ${composereditorng_HEADERS}
    ${CMAKE_CURRENT_BINARY_DIR}/composereditorng_export.h
    ${composereditorng_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/composereditorng
    COMPONENT Devel
)
install(FILES
    ${PRI_FILENAME}
    DESTINATION ${ECM_MKSPECS_INSTALL_DIR})



install( FILES data/composereditorinitialhtml DESTINATION  ${KDE_INSTALL_DATADIR}/composereditor )

=== composereditorwebengine/src/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"libcomposereditorwebengine\")

set(libcomposereditor_webengine_SRCS
    composerwebengine.cpp
    private/composerwebengine_p.cpp
)

ecm_qt_declare_logging_category(libcomposereditor_webengine_SRCS HEADER composereditorwebengine_debug.h IDENTIFIER COMPOSEREDITORNG_LOG CATEGORY_NAME log_composereditorwebengine)


add_library(KF5ComposerEditorWebEngine ${libcomposereditor_webengine_SRCS})
generate_export_header(KF5ComposerEditorWebEngine BASE_NAME composereditorwebengine)
add_library(KF5::ComposerEditorWebEngine ALIAS KF5ComposerEditorWebEngine)

target_link_libraries(KF5ComposerEditorWebEngine
 PRIVATE
   KF5::PimTextEdit
   KF5::SonnetCore
   KF5::PimCommon
   KF5::KIOWidgets
   KF5::XmlGui
   KF5::Completion
   Qt5::WebEngine
   Qt5::WebEngineWidgets
   Qt5::PrintSupport
)

target_include_directories(KF5ComposerEditorWebEngine INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/ComposerEditorWebEngine/;${KDE_INSTALL_INCLUDEDIR_KF5}/composereditorwebengine>")
target_include_directories(KF5ComposerEditorWebEngine PUBLIC "$<BUILD_INTERFACE:${composereditorwebengine_SOURCE_DIR}/src;${composereditorwebengine_BINARY_DIR}/src>")


set_target_properties(KF5ComposerEditorWebEngine PROPERTIES
    VERSION ${COMPOSEREDITORWEBENGINE_VERSION_STRING}
    SOVERSION ${COMPOSEREDITORWEBENGINE_SOVERSION}
    EXPORT_NAME ComposerEditorWebEngine
)

install(TARGETS
    KF5ComposerEditorWebEngine
    EXPORT KF5ComposerEditorWebEngineTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS} ${LIBRARY_NAMELINK}
)

# ecm_generate_headers(composereditorwebengine_CamelCase_HEADERS
#   HEADER_NAMES
#   ComposerEditor
#   ComposerView
#   REQUIRED_HEADERS composereditorwebengine_HEADERS
#   PREFIX ComposerEditorWebEngine
# )


ecm_generate_pri_file(BASE_NAME ComposerEditorWebEngine
    LIB_NAME KF5ComposerEditorWebEngine
    DEPS "" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF5}/ComposerEditorWebEngine
)


install(FILES
    ${composereditorwebengine_CamelCase_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/ComposerEditorWebEngine
    COMPONENT Devel
)

install(FILES
    ${composereditorwebengine_HEADERS}
    ${CMAKE_CURRENT_BINARY_DIR}/composereditorwebengine_export.h
    ${composereditorwebengine_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/composereditorwebengine
    COMPONENT Devel
)
install(FILES
    ${PRI_FILENAME}
    DESTINATION ${ECM_MKSPECS_INSTALL_DIR})



install( FILES data/composereditorinitialhtml DESTINATION  ${KDE_INSTALL_DATADIR}/composereditorwebengine )

=== libfollowupreminder/src/CMakeLists.txt ===


add_definitions(-DTRANSLATION_DOMAIN=\"libfollowupreminder\")

set(followupreminderlib_SRCS 
    followupreminderinfo.cpp
    followupreminderutil.cpp
)

kconfig_add_kcfg_files(followupreminderlib_SRCS
    settings/followupreminderagentsettings.kcfgc
)


add_library( KF5FollowupReminder ${followupreminderlib_SRCS} )
generate_export_header(KF5FollowupReminder BASE_NAME followupreminder)
add_library(KF5::FollowupReminder ALIAS KF5FollowupReminder)

target_link_libraries(KF5FollowupReminder
PRIVATE
   KF5::ConfigGui 
   KF5::CoreAddons
   Qt5::DBus 
)

target_include_directories(KF5FollowupReminder INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/FollowupReminder/;${KDE_INSTALL_INCLUDEDIR_KF5}/followupreminder>")

target_include_directories(KF5FollowupReminder PUBLIC "$<BUILD_INTERFACE:${followupreminder_SOURCE_DIR}/src;${followupreminder_BINARY_DIR}/src>")
target_include_directories(KF5FollowupReminder PUBLIC $<TARGET_PROPERTY:KF5::AkonadiCore,INTERFACE_INCLUDE_DIRECTORIES>)


set_target_properties(KF5FollowupReminder PROPERTIES
    VERSION ${FOLLOWUPREMINDER_VERSION_STRING}
    SOVERSION ${FOLLOWUPREMINDER_SOVERSION}
    EXPORT_NAME FollowupReminder
)

install(TARGETS
    KF5FollowupReminder
    EXPORT KF5FollowupReminderTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS} ${LIBRARY_NAMELINK}
)

ecm_generate_headers(FollowupReminder_Camelcase_HEADERS
  HEADER_NAMES
  FollowUpReminderInfo
  FollowUpReminderUtil
  REQUIRED_HEADERS FollowupReminder_HEADERS
  PREFIX FollowupReminder
)

ecm_generate_pri_file(BASE_NAME FollowupReminder
    LIB_NAME KF5FollowupReminder
    DEPS "" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF5}/FollowupReminder
)

install(FILES
    ${FollowupReminder_Camelcase_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/FollowupReminder
    COMPONENT Devel
)

install(FILES
    ${FollowupReminder_HEADERS}
    ${CMAKE_CURRENT_BINARY_DIR}/followupreminder_export.h
    ${CMAKE_CURRENT_BINARY_DIR}/followupreminderagentsettings.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/followupreminder
    COMPONENT Devel
)
install(FILES
    ${PRI_FILENAME}
    DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

=== debian/changelog ===
kf5-kdepim-apps-libs (4:16.04.2-2) unstable; urgency=low

  * Release to unstable.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 06 Jul 2016 08:54:28 +0200

kf5-kdepim-apps-libs (4:16.04.2-1) experimental; urgency=medium

  [ Automatic packaging ]
  * Refresh patches
  * Update symbols files with the buildds results

 -- Maximiliano Curia <maxy@debian.org>  Thu, 30 Jun 2016 14:15:35 +0200

kf5-kdepim-apps-libs (4:16.04.1-1) experimental; urgency=medium

  * Initial release.
  * Update symbols files.
  * Add missing breaks/replaces
  * Add -dev dependencies needed by the cmake file
  * Add upstream patch: upstream_add_copying_files.patch

 -- Maximiliano Curia <maxy@debian.org>  Sat, 04 Jun 2016 22:27:14 +0200

=== debian/control ===
Source: kf5-kdepim-apps-libs
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.19.0~),
               libgrantlee5-dev (>= 5.0~),
               libkf5akonadi-dev (>= 4:5.2.0~),
               libkf5akonadicontact-dev (>= 5.2.0~),
               libkf5akonadimime-dev (>= 5.2.0~),
               libkf5completion-dev (>= 5.19.0~),
               libkf5config-dev (>= 5.19.0~),
               libkf5contacts-dev (>= 5.2.0~),
               libkf5coreaddons-dev (>= 5.19.0~),
               libkf5dbusaddons-dev (>= 5.19.0~),
               libkf5grantleetheme-dev (>= 5.2.0~),
               libkf5i18n-dev (>= 5.19.0~),
               libkf5iconthemes-dev (>= 5.19.0~),
               libkf5libkleo-dev (>= 5.2.0~),
               libkf5mime-dev (>= 5.2.0~),
               libkf5pimcommon-dev (>= 5.2.0~),
               libkf5pimtextedit-dev (>= 5.2.0~),
               libkf5service-dev (>= 5.19.0~),
               libkf5sonnet-dev (>= 5.19.0~),
               libkf5webkit-dev (>= 5.19.0~),
               libkf5widgetsaddons-dev (>= 5.19.0~),
               libkf5xmlgui-dev (>= 5.19.0~),
               libqt5webkit5-dev (>= 5.4.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.4.0~),
               qttools5-dev (>= 5.4.0~)
Standards-Version: 3.9.8
Homepage: http://pim.kde.org/
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kdepim-apps-libs.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kdepim-apps-libs.git

Package: kf5-kdepim-apps-libs-data
Architecture: all
Depends: ${misc:Depends}
Breaks: libkf5composereditorng5 (<= 4:16.04)
Replaces: libkf5composereditorng5 (<= 4:16.04)
Description: KDE PIM mail related libraries, data files
 This package is part of the KDE PIM module.

Package: libkf5composereditorng5
Architecture: any
Multi-Arch: same
Depends: kf5-kdepim-apps-libs-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: compose editor library
 This package is part of the KDE PIM module.

Package: libkf5composereditorng-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5composereditorng5 (= ${binary:Version}),
         libkf5webkit-dev (>= 5.19.0~),
         ${misc:Depends},
         ${shlibs:Depends}
Description: compose editor library, devel files
 This package is part of the KDE PIM module.

Package: libkf5followupreminder5
Architecture: any
Multi-Arch: same
Depends: kf5-kdepim-apps-libs-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: follow up reminder library
 This package is part of the KDE PIM module.

Package: libkf5followupreminder-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadi-dev (>= 4:5.2.0~),
         libkf5config-dev (>= 5.19.0~),
         libkf5followupreminder5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: follow up reminder library, devel files
 This package is part of the KDE PIM module.

Package: libkf5kaddressbookgrantlee5
Architecture: any
Multi-Arch: same
Depends: kf5-kdepim-apps-libs-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: libkf5libkdepim5 (<= 4:16.04)
Replaces: libkf5libkdepim5 (<= 4:16.04)
Description: follow up reminder library
 This package is part of the KDE PIM module.

Package: libkf5kaddressbookgrantlee-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libgrantlee5-dev (>= 5.0~),
         libkf5akonadicontact-dev (>= 5.2.0~),
         libkf5kaddressbookgrantlee5 (= ${binary:Version}),
         libkf5pimcommon-dev (>= 5.2.0~),
         ${misc:Depends},
         ${shlibs:Depends}
Description: follow up reminder library, devel files
 This package is part of the KDE PIM module.

Package: libkf5kdepimdbusinterfaces5
Architecture: any
Multi-Arch: same
Depends: kf5-kdepim-apps-libs-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: KDE PIM D-Bus interfaces library
 This internal library implements handling of D-Bus interfaces shared among
 some of the KDE PIM applications.
 .
 This package is part of the KDE PIM module.

Package: libkf5kdepimdbusinterfaces-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadi-dev (>= 4:5.2.0~),
         libkf5kdepimdbusinterfaces5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: KDE PIM D-Bus interfaces library, devel files
 This internal library implements handling of D-Bus interfaces shared among
 some of the KDE PIM applications.
 .
 This package is part of the KDE PIM module.

Package: libkf5sendlater5
Architecture: any
Multi-Arch: same
Depends: kf5-kdepim-apps-libs-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: send later library
 This package is part of the KDE PIM module.

Package: libkf5sendlater-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadi-dev (>= 4:5.2.0~),
         libkf5config-dev (>= 5.19.0~),
         libkf5sendlater5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: send later library, devel files
 This package is part of the KDE PIM module.

## kf5-kdepim-apps-libs 16.04.3

=== debian/changelog ===
kf5-kdepim-apps-libs (4:16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Maximiliano Curia ]
  ** SNAPSHOT build @d4ffe6c2c99f665a07aad791bfa3370c6e2aebac **

  * Initial release.
  * Update symbols files.
  * Add missing breaks/replaces

  [ Clive Johnston ]
  * New upstream release, bugfix 16.04.1
  * Synced with Debian to get initial packaging
  * Updated VCS to point to correct git repo on Launchpad
  * New upstream release (16.04.2)
  * New upstream release (16.04.3)

  [ Rik Mills ]
  * Multi-archify kf5-kdepim-apps-libs-data

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:34:53 +0200

=== debian/control ===
--- 
+++ 
@@ -5,39 +5,40 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.19.0~),
+               extra-cmake-modules (>= 5.24.0~),
                libgrantlee5-dev (>= 5.0~),
-               libkf5akonadi-dev (>= 4:5.2.0~),
-               libkf5akonadicontact-dev (>= 5.2.0~),
-               libkf5akonadimime-dev (>= 5.2.0~),
-               libkf5completion-dev (>= 5.19.0~),
-               libkf5config-dev (>= 5.19.0~),
-               libkf5contacts-dev (>= 5.2.0~),
-               libkf5coreaddons-dev (>= 5.19.0~),
-               libkf5dbusaddons-dev (>= 5.19.0~),
-               libkf5grantleetheme-dev (>= 5.2.0~),
-               libkf5i18n-dev (>= 5.19.0~),
-               libkf5iconthemes-dev (>= 5.19.0~),
-               libkf5libkleo-dev (>= 5.2.0~),
-               libkf5mime-dev (>= 5.2.0~),
-               libkf5pimcommon-dev (>= 5.2.0~),
-               libkf5pimtextedit-dev (>= 5.2.0~),
-               libkf5service-dev (>= 5.19.0~),
-               libkf5sonnet-dev (>= 5.19.0~),
-               libkf5webkit-dev (>= 5.19.0~),
-               libkf5widgetsaddons-dev (>= 5.19.0~),
-               libkf5xmlgui-dev (>= 5.19.0~),
+               libkf5akonadi-dev (>= 4:16.04.3~),
+               libkf5akonadicontact-dev (>= 4:16.04.3~),
+               libkf5akonadimime-dev (>= 4:16.04.3~),
+               libkf5completion-dev (>= 5.24.0~),
+               libkf5config-dev (>= 5.24.0~),
+               libkf5contacts-dev (>= 4:16.04.3~),
+               libkf5coreaddons-dev (>= 5.24.0~),
+               libkf5dbusaddons-dev (>= 5.24.0~),
+               libkf5grantleetheme-dev (>= 16.04.3~),
+               libkf5i18n-dev (>= 5.24.0~),
+               libkf5iconthemes-dev (>= 5.24.0~),
+               libkf5libkleo-dev (>= 4:16.04.3~),
+               libkf5mime-dev (>= 16.04.3~),
+               libkf5pimcommon-dev (>= 4:16.04.3~),
+               libkf5pimtextedit-dev (>= 16.04.3~),
+               libkf5service-dev (>= 5.24.0~),
+               libkf5sonnet-dev (>= 5.24.0~),
+               libkf5webkit-dev (>= 5.24.0~),
+               libkf5widgetsaddons-dev (>= 5.24.0~),
+               libkf5xmlgui-dev (>= 5.24.0~),
                libqt5webkit5-dev (>= 5.4.0~),
                pkg-kde-tools (>= 0.12),
-               qtbase5-dev (>= 5.4.0~),
-               qttools5-dev (>= 5.4.0~)
+               qtbase5-dev (>= 5.6.1~),
+               qttools5-dev (>= 5.6.1~)
 Standards-Version: 3.9.8
 Homepage: http://pim.kde.org/
-Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/kdepim-apps-libs.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/kdepim-apps-libs.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdepim-apps-libs
+Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdepim-apps-libs
 
 Package: kf5-kdepim-apps-libs-data
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Breaks: libkf5composereditorng5 (<= 4:16.04)
 Replaces: libkf5composereditorng5 (<= 4:16.04)
@@ -77,7 +78,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5akonadi-dev (>= 4:5.2.0~),
+Depends: libkf5akonadi-dev (>= 4:16.04.3~),
          libkf5config-dev (>= 5.19.0~),
          libkf5followupreminder5 (= ${binary:Version}),
          ${misc:Depends},
@@ -101,9 +102,9 @@
 Architecture: any
 Multi-Arch: same
 Depends: libgrantlee5-dev (>= 5.0~),
-         libkf5akonadicontact-dev (>= 5.2.0~),
+         libkf5akonadicontact-dev (>= 4:16.04.3~),
          libkf5kaddressbookgrantlee5 (= ${binary:Version}),
-         libkf5pimcommon-dev (>= 5.2.0~),
+         libkf5pimcommon-dev (>= 4:16.04.3~),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: follow up reminder library, devel files
@@ -125,7 +126,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5akonadi-dev (>= 4:5.2.0~),
+Depends: libkf5akonadi-dev (>= 4:16.04.3~),
          libkf5kdepimdbusinterfaces5 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
@@ -148,7 +149,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5akonadi-dev (>= 4:5.2.0~),
+Depends: libkf5akonadi-dev (>= 4:16.04.3~),
          libkf5config-dev (>= 5.19.0~),
          libkf5sendlater5 (= ${binary:Version}),
          ${misc:Depends},

## kf5-kdepim-apps-libs 17.04.3

=== debian/changelog ===
kf5-kdepim-apps-libs (4:17.04.3-0ubuntu1) artful; urgency=low

  * New upstream release (17.04.1)
  * Install translations and add Breaks/Replaces against kde-l10n
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)
  * Update symbols files

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 21 Aug 2017 14:32:15 +0100

kf5-kdepim-apps-libs (4:16.12.3-0ubuntu1) artful; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://
  * Pass '-fno-keep-inline-functions' to gcc in the acc test in order to
    avoid possible spurious test failures.
  * New upstream release (16.12.3)

  [ Rik Mills ]
  * Add new libkf5kaddressbookimportexport packages and update install files
  * New upstream release (16.12.0)
  * New upstream release (16.12.1)

  [ Darin Miller ]
  * New upstream release (16.12.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 01 May 2017 20:26:47 +0100

=== debian/control ===
Source: kf5-kdepim-apps-libs
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libgpgme-dev,
               libgpgmepp-dev (>= 1.7.1~),
               libgrantlee5-dev (>= 5.0~),
               libkf5akonadi-dev (>= 4:17.04.3~),
               libkf5akonadicontact-dev (>= 4:17.04.3~),
               libkf5akonadimime-dev (>= 4:17.04.3~),
               libkf5completion-dev (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5contacts-dev (>= 4:17.04.3~),
               libkf5coreaddons-dev (>= 5.31.0~),
               libkf5dbusaddons-dev (>= 5.31.0~),
               libkf5grantleetheme-dev (>= 17.04.3~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5libkleo-dev (>= 4:17.04.3~),
               libkf5mime-dev (>= 17.04.3~),
               libkf5pimcommon-dev (>= 4:17.04.3~),
               libkf5pimtextedit-dev (>= 17.04.3~),
               libkf5prison-dev (>= 5.31.0~),
               libkf5service-dev (>= 5.31.0~),
               libkf5sonnet-dev (>= 5.31.0~),
               libkf5webkit-dev (>= 5.31.0~),
               libkf5widgetsaddons-dev (>= 5.31.0~),
               libkf5xmlgui-dev (>= 5.31.0~),
               libqt5webkit5-dev (>= 5.4.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~),
               qttools5-dev (>= 5.6.1~)
Standards-Version: 3.9.8
Homepage: http://pim.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdepim-apps-libs
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdepim-apps-libs

Package: kf5-kdepim-apps-libs-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: libkf5composereditorng5 (<= 4:16.07.80), ${kde-l10n:all}
Replaces: libkf5composereditorng5 (<= 4:16.07.80), ${kde-l10n:all}
Description: KDE PIM mail related libraries, data files
 This package is part of the KDE PIM module.

Package: libkf5followupreminder5
Architecture: any
Multi-Arch: same
Depends: kf5-kdepim-apps-libs-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: follow up reminder library
 This package is part of the KDE PIM module.

Package: libkf5followupreminder-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadi-dev (>= 4:17.04.3~),
         libkf5config-dev (>= 5.31.0~),
         libkf5followupreminder5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: follow up reminder library, devel files
 This package is part of the KDE PIM module.

Package: libkf5kaddressbookgrantlee5
Architecture: any
Multi-Arch: same
Depends: kf5-kdepim-apps-libs-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: libkf5libkdepim5 (<= 4:16.04)
Replaces: libkf5libkdepim5 (<= 4:16.04)
Description: follow up reminder library
 This package is part of the KDE PIM module.

Package: libkf5kaddressbookgrantlee-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libgrantlee5-dev (>= 5.0~),
         libkf5akonadicontact-dev (>= 4:17.04.3~),
         libkf5kaddressbookgrantlee5 (= ${binary:Version}),
         libkf5pimcommon-dev (>= 4:17.04.3~),
         ${misc:Depends},
         ${shlibs:Depends}
Description: follow up reminder library, devel files
 This package is part of the KDE PIM module.

Package: libkf5kdepimdbusinterfaces5
Architecture: any
Multi-Arch: same
Depends: kf5-kdepim-apps-libs-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: KDE PIM D-Bus interfaces library
 This internal library implements handling of D-Bus interfaces shared among
 some of the KDE PIM applications.
 .
 This package is part of the KDE PIM module.

Package: libkf5kdepimdbusinterfaces-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadi-dev (>= 4:17.04.3~),
         libkf5kdepimdbusinterfaces5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: KDE PIM D-Bus interfaces library, devel files
 This internal library implements handling of D-Bus interfaces shared among
 some of the KDE PIM applications.
 .
 This package is part of the KDE PIM module.

Package: libkf5sendlater5
Architecture: any
Multi-Arch: same
Depends: kf5-kdepim-apps-libs-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: send later library
 This package is part of the KDE PIM module.

Package: libkf5sendlater-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadi-dev (>= 4:17.04.3~),
         libkf5config-dev (>= 5.31.0~),
         libkf5sendlater5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: send later library, devel files
 This package is part of the KDE PIM module.

Package: libkf5kaddressbookimportexport5
Architecture: any
Multi-Arch: same
Depends: kf5-kdepim-apps-libs-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Addressbook import export library
 This package is part of the KDE PIM module.

Package: libkf5kaddressbookimportexport-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadi-dev (>= 4:17.04.3~),
         libkf5config-dev (>= 5.31.0~),
         libkf5kaddressbookimportexport5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Addressbook import export library, devel files
 This package is part of the KDE PIM module.

## kf5-kdepim-apps-libs 17.12.3

=== libsendlater/CMakeLists.txt ===
ecm_setup_version(PROJECT  VARIABLE_PREFIX SENDLATER
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/sendlater_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5SendLaterConfigVersion.cmake"
                        SOVERSION 5
)


########### CMake Config Files ###########
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5SendLater")

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5SendLaterConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5SendLaterConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5SendLaterConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5SendLaterConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF5SendLaterTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5SendLaterTargets.cmake NAMESPACE KF5::)

install(FILES
   ${CMAKE_CURRENT_BINARY_DIR}/sendlater_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel
)

add_subdirectory(src)

=== libsendlater/src/CMakeLists.txt ===

add_definitions(-DTRANSLATION_DOMAIN=\"libsendlater\")

set(sendlater_common_SRCS)
ecm_qt_declare_logging_category(sendlater_common_SRCS HEADER libsendlater_debug.h IDENTIFIER LIBSENDLATER_LOG CATEGORY_NAME org.kde.pim.libsendlater)

set(sendlaterlib_SRCS 
    ${sendlater_common_SRCS}
    sendlaterinfo.cpp
    sendlaterdialog.cpp
    sendlaterutil.cpp
    sendlatertimedatewidget.cpp
)

kconfig_add_kcfg_files(sendlaterlib_SRCS
    settings/sendlateragentsettings.kcfgc 
  )

ki18n_wrap_ui(sendlaterlib_SRCS ui/sendlaterwidget.ui)

add_library( KF5SendLater ${sendlaterlib_SRCS} )
generate_export_header(KF5SendLater BASE_NAME sendlater)
add_library(KF5::SendLater ALIAS KF5SendLater)
target_link_libraries(KF5SendLater
  PUBLIC
    KF5::AkonadiCore
  PRIVATE
    KF5::ConfigCore
    KF5::I18n
    KF5::WidgetsAddons
    KF5::ConfigGui
    Qt5::DBus
    Qt5::Widgets
)
target_include_directories(KF5SendLater INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/SendLater/;${KDE_INSTALL_INCLUDEDIR_KF5}/sendlater>")

set_target_properties(KF5SendLater PROPERTIES
    VERSION ${SENDLATER_VERSION_STRING}
    SOVERSION ${SENDLATER_SOVERSION}
    EXPORT_NAME SendLater
)

install(TARGETS
    KF5SendLater
    EXPORT KF5SendLaterTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS} ${LIBRARY_NAMELINK}
)

ecm_generate_headers(SendLater_Camelcase_HEADERS
  HEADER_NAMES
  SendLaterInfo
  SendLaterDialog
  SendLaterUtil
  REQUIRED_HEADERS SendLater_HEADERS
  PREFIX SendLater
)

ecm_generate_pri_file(BASE_NAME SendLater
    LIB_NAME KF5SendLater
    DEPS "AkonadiCore" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF5}/SendLater
)


install(FILES
    ${SendLater_Camelcase_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/SendLater
    COMPONENT Devel
)

install(FILES
    ${SendLater_HEADERS}
    ${CMAKE_CURRENT_BINARY_DIR}/sendlater_export.h
    ${CMAKE_CURRENT_BINARY_DIR}/sendlateragentsettings.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/sendlater
    COMPONENT Devel
)
install(FILES
    ${PRI_FILENAME}
    DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

=== debian/changelog ===
kf5-kdepim-apps-libs (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:26:07 +0000

kf5-kdepim-apps-libs (4:17.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 28 Feb 2018 09:44:32 +0000

kf5-kdepim-apps-libs (4:17.08.3-0ubuntu1) bionic; urgency=medium

  * New build depend on libkf5contacteditor-dev
  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:04:49 +0000

=== debian/control ===
--- 
+++ 
@@ -9,21 +9,22 @@
                libgpgme-dev,
                libgpgmepp-dev (>= 1.7.1~),
                libgrantlee5-dev (>= 5.0~),
-               libkf5akonadi-dev (>= 4:17.04.3~),
-               libkf5akonadicontact-dev (>= 4:17.04.3~),
-               libkf5akonadimime-dev (>= 4:17.04.3~),
+               libkf5akonadi-dev (>= 4:17.12.3~),
+               libkf5akonadicontact-dev (>= 4:17.12.3~),
+               libkf5akonadimime-dev (>= 4:17.12.3~),
                libkf5completion-dev (>= 5.31.0~),
                libkf5config-dev (>= 5.31.0~),
-               libkf5contacts-dev (>= 4:17.04.3~),
+               libkf5contacteditor-dev (>= 4:17.12.3~),
+               libkf5contacts-dev (>= 4:17.12.3~),
                libkf5coreaddons-dev (>= 5.31.0~),
                libkf5dbusaddons-dev (>= 5.31.0~),
-               libkf5grantleetheme-dev (>= 17.04.3~),
+               libkf5grantleetheme-dev (>= 17.12.3~),
                libkf5i18n-dev (>= 5.31.0~),
                libkf5iconthemes-dev (>= 5.31.0~),
-               libkf5libkleo-dev (>= 4:17.04.3~),
-               libkf5mime-dev (>= 17.04.3~),
-               libkf5pimcommon-dev (>= 4:17.04.3~),
-               libkf5pimtextedit-dev (>= 17.04.3~),
+               libkf5libkleo-dev (>= 4:17.12.3~),
+               libkf5mime-dev (>= 17.12.3~),
+               libkf5pimcommon-dev (>= 4:17.12.3~),
+               libkf5pimtextedit-dev (>= 17.12.3~),
                libkf5prison-dev (>= 5.31.0~),
                libkf5service-dev (>= 5.31.0~),
                libkf5sonnet-dev (>= 5.31.0~),
@@ -61,7 +62,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5akonadi-dev (>= 4:17.04.3~),
+Depends: libkf5akonadi-dev (>= 4:17.12.3~),
          libkf5config-dev (>= 5.31.0~),
          libkf5followupreminder5 (= ${binary:Version}),
          ${misc:Depends},
@@ -85,9 +86,9 @@
 Architecture: any
 Multi-Arch: same
 Depends: libgrantlee5-dev (>= 5.0~),
-         libkf5akonadicontact-dev (>= 4:17.04.3~),
+         libkf5akonadicontact-dev (>= 4:17.12.3~),
          libkf5kaddressbookgrantlee5 (= ${binary:Version}),
-         libkf5pimcommon-dev (>= 4:17.04.3~),
+         libkf5pimcommon-dev (>= 4:17.12.3~),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: follow up reminder library, devel files
@@ -109,7 +110,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5akonadi-dev (>= 4:17.04.3~),
+Depends: libkf5akonadi-dev (>= 4:17.12.3~),
          libkf5kdepimdbusinterfaces5 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
@@ -132,7 +133,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5akonadi-dev (>= 4:17.04.3~),
+Depends: libkf5akonadi-dev (>= 4:17.12.3~),
          libkf5config-dev (>= 5.31.0~),
          libkf5sendlater5 (= ${binary:Version}),
          ${misc:Depends},
@@ -153,7 +154,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5akonadi-dev (>= 4:17.04.3~),
+Depends: libkf5akonadi-dev (>= 4:17.12.3~),
          libkf5config-dev (>= 5.31.0~),
          libkf5kaddressbookimportexport5 (= ${binary:Version}),
          ${misc:Depends},

## kf5-kdepim-apps-libs 18.04.3

=== debian/changelog ===
kf5-kdepim-apps-libs (4:18.04.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 21 Aug 2018 18:53:34 +0100

=== debian/control ===
--- 
+++ 
@@ -9,22 +9,22 @@
                libgpgme-dev,
                libgpgmepp-dev (>= 1.7.1~),
                libgrantlee5-dev (>= 5.0~),
-               libkf5akonadi-dev (>= 4:17.12.3~),
-               libkf5akonadicontact-dev (>= 4:17.12.3~),
-               libkf5akonadimime-dev (>= 4:17.12.3~),
+               libkf5akonadi-dev (>= 4:18.04.3~),
+               libkf5akonadicontact-dev (>= 4:18.04.3~),
+               libkf5akonadimime-dev (>= 4:18.04.3~),
                libkf5completion-dev (>= 5.31.0~),
                libkf5config-dev (>= 5.31.0~),
-               libkf5contacteditor-dev (>= 4:17.12.3~),
-               libkf5contacts-dev (>= 4:17.12.3~),
+               libkf5contacteditor-dev (>= 4:18.04.3~),
+               libkf5contacts-dev (>= 4:18.04.3~),
                libkf5coreaddons-dev (>= 5.31.0~),
                libkf5dbusaddons-dev (>= 5.31.0~),
-               libkf5grantleetheme-dev (>= 17.12.3~),
+               libkf5grantleetheme-dev (>= 18.04.3~),
                libkf5i18n-dev (>= 5.31.0~),
                libkf5iconthemes-dev (>= 5.31.0~),
-               libkf5libkleo-dev (>= 4:17.12.3~),
-               libkf5mime-dev (>= 17.12.3~),
-               libkf5pimcommon-dev (>= 4:17.12.3~),
-               libkf5pimtextedit-dev (>= 17.12.3~),
+               libkf5libkleo-dev (>= 4:18.04.3~),
+               libkf5mime-dev (>= 18.04.3~),
+               libkf5pimcommon-dev (>= 4:18.04.3~),
+               libkf5pimtextedit-dev (>= 18.04.3~),
                libkf5prison-dev (>= 5.31.0~),
                libkf5service-dev (>= 5.31.0~),
                libkf5sonnet-dev (>= 5.31.0~),
@@ -34,7 +34,7 @@
                libqt5webkit5-dev (>= 5.4.0~),
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.6.1~),
-               qttools5-dev (>= 5.6.1~)
+               qttools5-dev (>= 5.6.1~),
 Standards-Version: 3.9.8
 Homepage: http://pim.kde.org/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdepim-apps-libs
@@ -62,11 +62,11 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5akonadi-dev (>= 4:17.12.3~),
+Depends: libkf5akonadi-dev (>= 4:18.04.3~),
          libkf5config-dev (>= 5.31.0~),
          libkf5followupreminder5 (= ${binary:Version}),
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Description: follow up reminder library, devel files
  This package is part of the KDE PIM module.
 
@@ -86,11 +86,11 @@
 Architecture: any
 Multi-Arch: same
 Depends: libgrantlee5-dev (>= 5.0~),
-         libkf5akonadicontact-dev (>= 4:17.12.3~),
+         libkf5akonadicontact-dev (>= 4:18.04.3~),
          libkf5kaddressbookgrantlee5 (= ${binary:Version}),
-         libkf5pimcommon-dev (>= 4:17.12.3~),
+         libkf5pimcommon-dev (>= 4:18.04.3~),
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Description: follow up reminder library, devel files
  This package is part of the KDE PIM module.
 
@@ -110,10 +110,10 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5akonadi-dev (>= 4:17.12.3~),
+Depends: libkf5akonadi-dev (>= 4:18.04.3~),
          libkf5kdepimdbusinterfaces5 (= ${binary:Version}),
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Description: KDE PIM D-Bus interfaces library, devel files
  This internal library implements handling of D-Bus interfaces shared among
  some of the KDE PIM applications.
@@ -133,11 +133,11 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5akonadi-dev (>= 4:17.12.3~),
+Depends: libkf5akonadi-dev (>= 4:18.04.3~),
          libkf5config-dev (>= 5.31.0~),
          libkf5sendlater5 (= ${binary:Version}),
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Description: send later library, devel files
  This package is part of the KDE PIM module.
 
@@ -154,10 +154,10 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5akonadi-dev (>= 4:17.12.3~),
+Depends: libkf5akonadi-dev (>= 4:18.04.3~),
          libkf5config-dev (>= 5.31.0~),
          libkf5kaddressbookimportexport5 (= ${binary:Version}),
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Description: Addressbook import export library, devel files
  This package is part of the KDE PIM module.
